Bug 39753 - Improving Easy Hacks Bugzilla-Wiki integration
Summary: Improving Easy Hacks Bugzilla-Wiki integration
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, skillInfra, skillScript, topicInfra
Depends on:
Blocks:
 
Reported: 2011-08-02 02:16 UTC by Björn Michaelsen
Modified: 2015-12-15 23:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
the modified SimpleFeed extension (4.82 KB, application/x-php)
2011-11-10 03:59 UTC, Christian Lohmaier
Details
stupid me, this is the modified version, the other one was the vanilla one (5.28 KB, application/x-php)
2011-11-10 04:13 UTC, Christian Lohmaier
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2011-08-02 02:16:09 UTC
http://wiki.documentfoundation.org/Development/Easy_Hacks_by_Difficulty
http://wiki.documentfoundation.org/Development/Easy_Hacks_by_required_Skill

Are currently manually created because transclusion arguments do not seem to be expanded in the feed urls. Manually creating these pages is tiresome and errorprone. It would be great to have a Script to recreate these (and maybe more: by_Topic, by_Component) pages.

The script should be stored at:

 http://cgit.freedesktop.org/libreoffice/contrib

in the end.
Comment 1 Björn Michaelsen 2011-11-09 10:27:09 UTC
We are using a homebrew RSS-feed extension based on simplepie modified from http://www.mediawiki.org/wiki/Extension:SimpleFeed

It would be cool instead of having to write a huge feed-URL like:
<feed url="https://bugs.freedesktop.org/buglist.cgi?bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&product=LibreOffice&query_format=advanced&status_whiteboard=EasyHack%20DifficultyBeginner%20SkillCpp&status_whiteboard_type=allwordssubstr&ctype=atom" entries="200"> [{ID} {TITLE} </feed>

to be modify the extension to trigger on something like:
<bugzilla-feed status_whiteboard="EasyHack DifficultyBeginner SkillCpp">[{ID} {TITLE}
<bugzilla-feed>

'''Skills:''' PHP

@cloph: Is our current modified extension available in our repos?
Comment 2 Christian Lohmaier 2011-11-10 03:59:16 UTC
Created attachment 53367 [details]
the modified SimpleFeed extension

as mentioned in the mails, the modifications are minimal

keep class attributes, so you can use css to hide&style them, use the ID field of the feed to get the bug's URL, deal with wiki-link syntax to turn the bug -number into a link.

And yes, allowing for shorter trigger is of course possible, you can manually assemble the feed url in the php from keywords.
Comment 3 Christian Lohmaier 2011-11-10 04:13:38 UTC
Created attachment 53368 [details]
stupid me, this is the modified version, the other one was the vanilla one
Comment 4 Björn Michaelsen 2011-11-18 02:35:30 UTC
@cloph: Thanks for the update replacing "bug" with "Easy Hack". Can you upload that modified version to a repo at the canonical repository location of the website team, which is https://github.com/tdf I guess?
Comment 5 Björn Michaelsen 2011-11-21 10:08:55 UTC
Extension is now at:

 https://github.com/tdf/misc
Comment 6 Björn Michaelsen 2011-11-21 10:10:48 UTC
Comment on attachment 53368 [details]
stupid me, this is the modified version, the other one was the vanilla one

attachment is now obsolete, please use the fine git repo
Comment 7 Florian Reisinger 2012-05-18 09:10:55 UTC
Deteted "Easyhack" from summary
Comment 8 Florian Reisinger 2012-05-18 09:59:14 UTC
Changed the Summary a little didfferent, so that my easyhack search is not affected...
Comment 9 Wagner Macedo 2013-08-05 01:09:53 UTC
Hello, I came to this bug because I'm new to LODev and it is marked as an EasyHack.

But as I could perceive, this bug is already resolved. Am I wrong?
Comment 10 Samuel Mehrbrodt (CIB) 2013-10-01 21:27:16 UTC
Seems so :)
Comment 11 Robinson Tryon (qubit) 2015-12-15 23:29:12 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner SkillScript SkillInfra TopicInfra)
[NinjaEdit]